be.fgov.ehealth.certra.protocol.v2

## Class GetCertificateInfoForAuthenticationCertificateRequest

- java.lang.Object
- - be.fgov.ehealth.commons.protocol.v2.RequestType
  - - be.fgov.ehealth.certra.protocol.v2.GetCertificateInfoForAuthenticationCertificateRequest

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2024-09-05T10:49:08+02:00",
                 comments="JAXB RI v2.3.7")
      public class GetCertificateInfoForAuthenticationCertificateRequest
      extends RequestType
      implements Serializable

  Request for obtaining information about a single eHealth certificate and its associated encryption token. The certificate is identified by looking at the eHealth authentication certificate that was used for creating the XML signature on the request element. This operation allows anyone who controls the authentication certificate to always get the details about their certificate and ETK, even if their authorisation could not be automatically checked using the eHealth authentic sources.

  Java class for GetCertificateInfoForAuthenticationCertificateRequestType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="GetCertificateInfoForAuthenticationCertificateRequestType">
         <complexContent>
           <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}RequestType">
             <sequence>
               <element ref="{http://www.w3.org/2000/09/xmldsig#}Signature"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetCertificateInfoForAuthenticationCertificateRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Signature` | `getSignature()` An enveloped XML signature that signs the entire request element.
    `void` | `setSignature(Signature value)` Sets the value of the signature property.

    - ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.RequestType

      `getId, getIssueInstant, setId, setIssueInstant`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetCertificateInfoForAuthenticationCertificateRequest

          public GetCertificateInfoForAuthenticationCertificateRequest()

  - ### Method Detail

    - #### getSignature

          public Signature getSignature()

      An enveloped XML signature that signs the entire request element. It must be created by an eHealth authentication certificate. The service will extract the identifier of the certificate used to create the signature and will use this to fetch the details about the certificate.
      Returns:
        possible object is `Signature`

    - #### setSignature

          public void setSignature(Signature value)

      Sets the value of the signature property.
      Parameters:
        `value` - allowed object is `Signature`

Connector Packaging OTMOBILITYIMPROVEMENT 4.6.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.